# Review at https://bugzilla.redhat.com/show_bug.cgi?id=173552

%global minor_version 1.2

Name:           xfce4-sensors-plugin
Version:        1.2.5
Release:        1%{?dist}
Summary:        Sensors plugin for the Xfce panel

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{minor_version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xfce4-panel-devel >= 4.4.0
BuildRequires:  libxfce4ui-devel >= 4.6.0
BuildRequires:  lm_sensors-devel >= 2.8, hddtemp, libnotify-devel >= 0.4
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  desktop-file-utils, libtool
Requires:       xfce4-panel >= 4.4.1
Requires:       lm_sensors >= 2.8
Requires:       hddtemp
# lm_sensors is not available on s390 and s390x
ExcludeArch:    s390 s390x

%description
This plugin displays various hardware sensor values in the Xfce panel.

%package devel
Summary:        Development files for xfce4-sensors-plugin
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libxfce4util-devel

%description devel
Static libraries and header files for the xfce4-sensors-plugin.


%prep
%setup -q


%build
%configure --disable-static \
        --enable-sysfsacpi=yes \
        --with-pathhddtemp=%{_bindir}/hddtemp \

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}

%find_lang %{name}

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
desktop-file-install --vendor "" \
        --add-category "System" \
        --remove-category "Utility" \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
        --delete-original \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/xfce4-sensors.desktop


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/xfce4-sensors
%dir %{_libdir}/xfce4/modules/
%{_libdir}/xfce4/modules/libxfce4sensors.so.*
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/applications/xfce4-sensors.desktop
%{_datadir}/icons/hicolor/*/apps/xfce-sensors.png
%{_datadir}/icons/hicolor/scalable/apps/xfce-sensors.svg
%{_datadir}/xfce4/panel-plugins/*.desktop

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/libxfce4sensors-1.0.pc
%{_libdir}/xfce4/modules/libxfce4sensors.so


%changelog
* Sun Nov 30 2014 Kevin Fenzi <kevin@scrye.com> 1.2.5-1
- Update to 1.2.5. Fixes bug #1164400

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 15 2012 Kevin Fenzi <kevin@scrye.com> - 1.2.3-5
- Rebuild for Xfce 4.10(pre2)

* Thu Apr 05 2012 Kevin Fenzi <kevin@scrye.com> - 1.2.3-4
- Rebuild for Xfce 4.10

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.2.3-2
- Rebuild for new libpng

* Sun Jul 03 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.2.3-1
- Update to 1.2.3
- Remove all patches, they have been upstreamed

* Sun Jul 03 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.0-4
- Fix FTBFS. Thanks to Johannes Lips for the patch (#715838)
- Improve ACPI support. Thanks to Raphael Groner for the patches (#661933)

* Fri Jan 14 2011 Adam Williamson <awilliam@redhat.com> - 1.0.0-3
- fix some underlinking against xfcegui and xfcepanel (fixes build)

* Sat Nov 06 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.0-2
- Fix for libnotify 0.7.0

* Fri Jun 04 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0
- Add patch by Robert Scheck to fix DSO linking (#564840)
- Update gtk-icon-cache scriptlets

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.99.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr 01 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.10.99.6-4
- Own %%{_libdir}/xfce4/modules/ to fix unowned directory (#474587)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.99.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.10.99.6-2
- Rebuild for Xfce 4.6 (Beta 3)

* Thu Nov 27 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.10.99.6-1
- Update to 0.10.99.6
- Remove obsolete lm_sensors patch
- BuildRequire hddtemp and make sure it's path is detected correctly
- Update gtk-update-icon-cache scriptlets

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.10.99.2-4
- Autorebuild for GCC 4.3

* Fri Dec 07 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.10.99.2-3
- Rebuild for Xfce 4.4.2

* Mon Nov 19 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.10.99.2-2
- Add Hans de Goede's patch for lm_sensors-3.0.0-RC1

* Wed Nov 07 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.10.99.2-1
- Update to 0.10.99.2

* Sat Oct 27 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.10.99.1-1
- Update to 0.10.99.1
- Require hddtemp because it is supported now

* Sat Aug 25 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.10.0-6
- Rebuild for BuildID feature
- Update license tag

* Sat Jul 20 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.10.0-5
- Build for ppc(64) as lm_sensors is available on these architectures now.

* Thu May 17 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.10.0-4
- ExcludeArch ppc64

* Sat Apr 28 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.10.0-3
- Rebuild for Xfce 4.4.1

* Sun Jan 28 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.10.0-2
- Rebuild for XFCE 4.4.
- Update gtk-icon-cache scriptlets.

* Thu Oct 05 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.10.0-1
- Update to 0.10.0.

* Wed Sep 13 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.0-2
- Rebuild for XFCE 4.3.99.1.
- BR perl(XML::Parser).

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.0-1
- Update to 0.9.0 on XFCE 4.3.90.2.

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.7.0-6
- Mass rebuild for Fedora Core 6.

* Tue Apr 11 2006 Christoph Wickert <fedora wickert at arcor de> - 0.7.0-5
- Require xfce4-panel.

* Sat Feb 18 2006 Christoph Wickert <fedora wickert at arcor de> - 0.7.0-4
- Rebuild for Fedora Extras 5.

* Sun Jan 22 2006 Christoph Wickert <fedora wickert at arcor de> - 0.7.0-3
- ExcludeArch ppc.

* Thu Dec 01 2005 Christoph Wickert <fedora wickert at arcor de> - 0.7.0-2
- Add libxfcegui4-devel BuildReqs.
- Fix %%defattr.

* Mon Nov 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.7.0-1
- Initial Fedora Extras version.
- Update to 0.7.0.
- disable-static instead of removing .a files.

* Fri Sep 23 2005 Christoph Wickert <fedora wickert at arcor de> - 0.6.2-1.fc4.cw
- Update to 0.6.2.
- Add libxml2 BuildReqs.

* Sat Jul 09 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.0-1.fc4.cw
- Rebuild for Core 4.

* Wed Apr 13 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.0-1.fc3.cw
- Initial RPM release.
